<?php

require_once('book_sc_fns.php');
session_start();

do_html_header("Přidání knihy");
if (check_admin_user()) {
  if (filled_out($_POST)) {
    $isbn = $_POST['isbn'];
    $title = $_POST['title'];
    $author = $_POST['author'];
    $catid = $_POST['catid'];
    $price = $_POST['price'];
    $description = $_POST['description'];

    if (insert_book($isbn, $title, $author, $catid, $price, $description)) {
      echo "<p>Kniha <em>".htmlspecialchars($title)."</em> byla přidána do databáze.</p>";
    } else {
      echo "<p>Knihu <em>".htmlspecialchars($title)."</em> se nepodařilo přidat do databáze.</p>";
    }
  } else {
    echo "<p>Nevyplnil/a jste včechna pole. Prosíme, zkuste to znovu.</p>";
  }

  do_html_url("admin.php", "Zpět k administrační nabídce");
} else {
  echo "<p>Nejste oprávněn/a prohlížet si tuto stránku.</p>";
}

do_html_footer();

?>
